let halve;
if (args.sourceItem?.type != "spell")
{
    halve = await foundry.applications.api.DialogV2.confirm({window : {title : this.effect.name}, content : "Divisé les dégats par deux? (Divise les dégats de tout feu par deux)"})
}
else
{
    halve = args.sourceItem?.system.lore?.value == "fire";
}

if (halve)
{
    args.totalWoundLoss /= 2;
    args.modifiers.other.push({label : this.effect.name, details : "Divisé par deux", value : "× 0.5"})
}